<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_preloaded_regular_screen.php';

///////////////////////////////////////////////////////////////////////////

class I24hAmediaListScreen extends AbstractPreloadedRegularScreen
{
    const ID = 'amedia_list';

    public static function get_media_url_str($category_id)
    {
        return MediaURL::encode(
            array
            (
                'screen_id'     => self::ID,
                'category_id'   => $category_id,
            ));
    }
    
    ///////////////////////////////////////////////////////////////////////

    private $topcats;
    private $subcats;
    private $session;

    ///////////////////////////////////////////////////////////////////////

    public function __construct($session)
    {
        parent::__construct(
            self::ID,
            array
            (
            ));
        $this->session = $session;
        
        $subcats = array();
        
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_action_map(MediaURL $media_url, &$plugin_cookies)
    { return array( GUI_EVENT_KEY_ENTER => ActionFactory::open_folder() ); }

    ///////////////////////////////////////////////////////////////////////

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies)
    {
        $this->session->ensure_logged_in($plugin_cookies);

        $items = array();
        
        //$server_id = 0;
        //$CFG_MEDIA_SERVERS		    = array('media.centr.lan','media.sever.ru');

        if (isset($media_url->xcat_id)) {
            $subcats = $this->fetch_subcat_list($media_url->xcat_id);
            foreach ($subcats as $m)
            {
        	$items[] = array
        	(
        	    PluginRegularFolderItem::media_url => I24hVodListScreen::get_media_url_str($m['id']),
        	    PluginRegularFolderItem::caption => $m['name'],
        	    PluginRegularFolderItem::view_item_params => array (
        	    	ViewItemParams::icon_path => 'gui_skin://small_icons/folder.aai'
        	    	)
        	    );
            }
            
        } else {
            $this->fetch_topcat_list();
            foreach ($this->topcats as $m)
            {
            	if ($m['id'] == 4) {
            	    $mediaurl = VodSearchScreen::get_media_url_str();
            	} else {
            	    $mediaurl = MediaURL::encode(
        	    	array (
        	    	    'screen_id'   => I24hAmediaListScreen::ID,
        	    	    'xcat_id'   => $m['id']
        	    	    ));
            	}
        	$items[] = array
        	(
        	    PluginRegularFolderItem::media_url => $mediaurl,
        	    PluginRegularFolderItem::caption => $m['name'],
        	    PluginRegularFolderItem::view_item_params => array (
        	    	ViewItemParams::icon_path => $m['img']
        	    	)
        	    );
            }
        }

        return $items;
    }
    
    private function fetch_topcat_list()
    {
    	    /*$doc = HD::http_get_document(sprintf(I24hConfig::TOPCAT_LIST_URL, $this->session->get_token()));
    	    if (is_null($doc))
    	    	    throw new Exception('Can not fetch topcat list');
    	    $xml = simplexml_load_string($doc);

    	    if ($xml === false)
    	    {
    	    	    hd_print("Error: can not parse XML document.");
    	    	    hd_print("XML-text: $doc.");
    	    	    throw new Exception('Illegal XML document');
    	    }
    	    
    	    if ($xml->getName() !== 'response')
    	    {
    	    	    hd_print("Error: unexpected node '" . $xml->getName() . "'. Expected: 'response'");
    	    	    throw new Exception('Invalid XML document');
    	    }
    	    
    	    $this->topcats = array();
    	    foreach ($xml->children() as $c) {
    	    	    $this->topcats[] = array ( 
    	    	    				 'id' => strval($c->id),
    	    	    				 'name' => strval($c->name),
    	    	    				 'img' => strval($c->img->url)
    	    	    				 );
    	    	    
    	    }
    	    */
    	    
    	    $this->topcats = array();
    	    $this->topcats[] = array('id' => 1, 'name' => 'Фильмы', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Amediateka/Movies.png');
    	    $this->topcats[] = array('id' => 2, 'name' => 'Сериалы', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Amediateka/Series.png');
    	    $this->topcats[] = array('id' => 3, 'name' => 'Шоу', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Amediateka/Show.png');
    	    $this->topcats[] = array('id' => 4, 'name' => 'Поиск', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Amediateka/Search.png');
    	    
    	    $this->topcats[] = array('id' => 5, 'name' => "Метод\nСерия 16 Сезон 1", 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/method.jpg');
    	    $this->topcats[] = array('id' => 6, 'name' => 'Игра престолов', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/igra_prestolov.jpg');
    	    $this->topcats[] = array('id' => 7, 'name' => 'Агенты Щ.И.Т.', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/schit.jpg');
    	    $this->topcats[] = array('id' => 8, 'name' => 'Как это делается в Америке', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/kak_eto_delaetsa.jpg');    
    
    	    $this->topcats[] = array('id' => 9, 'name' => "Черные паруса", 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/chernie_parusa.jpg');
    	    $this->topcats[] = array('id' => 10, 'name' => 'Девочки', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/girls.jpg');
    	    $this->topcats[] = array('id' => 11, 'name' => 'Родина', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/rodina.jpg');
    	    $this->topcats[] = array('id' => 12, 'name' => 'Эмми', 'img' => 'http://iptv.home-ix.ru/iptv/icons/Demo/emmy_43_320x260c.jpg');    
    
    }
    
    private function fetch_subcat_list($subcat_id)
    {
    	    
    	    $subcats = array();
    	    
    	    hd_print(">> $subcat_id");
    	    
    	    if ($subcat_id == 1) {
    	    	 $subcats[] = array ('id' => '20|25', 'name' => 'Все');
    	    	 $subcats[] = array ('id' => '20|25', 'name' => 'Драмы');
    	    	 $subcats[] = array ('id' => '20|30', 'name' => 'Фэнтези');
    	    	 $subcats[] = array ('id' => '20|15', 'name' => 'Мелодрамы');
    	    	 $subcats[] = array ('id' => '20|38', 'name' => 'Исторические');
    	    	 $subcats[] = array ('id' => 6, 'name' => 'Триллеры');
    	    	 $subcats[] = array ('id' => 7, 'name' => 'Ужасы');
    	    	 $subcats[] = array ('id' => 8, 'name' => 'Комедии');
    	    	 $subcats[] = array ('id' => 9, 'name' => 'Биографические');
    	    	 $subcats[] = array ('id' => 10, 'name' => 'Документальные');
    	    	 $subcats[] = array ('id' => 11, 'name' => 'Русское кино');
    	    	 $subcats[] = array ('id' => 12, 'name' => 'Анимация');
    	    	 $subcats[] = array ('id' => 13, 'name' => 'Кока');
    	    	 $subcats[] = array ('id' => 14, 'name' => 'Топ 250 IMBD');
    	    	 $subcats[] = array ('id' => 15, 'name' => 'Топ 250 Кинопоиск');
    	    	 $subcats[] = array ('id' => 16, 'name' => 'Топ 250 Амедиатека');
    	    }
    	    
    	    if ($subcat_id == 2) {
    	    	 $subcats[] = array ('id' => 1, 'name' => 'Все');
    	    	 $subcats[] = array ('id' => 2, 'name' => 'Детективы');
    	    	 $subcats[] = array ('id' => 3, 'name' => 'Драмы');
    	    	 $subcats[] = array ('id' => 4, 'name' => 'Фэнтези');
    	    	 $subcats[] = array ('id' => 5, 'name' => 'Комедии');
    	    	 $subcats[] = array ('id' => 6, 'name' => 'Исторические');
    	    	 $subcats[] = array ('id' => 7, 'name' => 'Ужасы');
    	    	 $subcats[] = array ('id' => 8, 'name' => 'Реалити');
    	    	 $subcats[] = array ('id' => 9, 'name' => 'Эротика');
    	    	 $subcats[] = array ('id' => 10, 'name' => 'Тележурналы');
    	    	 $subcats[] = array ('id' => 11, 'name' => 'Мультфильмы');
    	    	 $subcats[] = array ('id' => 12, 'name' => 'Боевики');
    	    	 $subcats[] = array ('id' => 13, 'name' => 'Русские');
    	    	 $subcats[] = array ('id' => 14, 'name' => 'Документальные');
    	    	 $subcats[] = array ('id' => 15, 'name' => 'Топ 250 IMBD');
    	    	 $subcats[] = array ('id' => 16, 'name' => 'Топ 250 Кинопоиск');
    	    	 $subcats[] = array ('id' => 17, 'name' => 'Топ 250 Амедиатека');
    	    }
    	    
    	    if ($subcat_id == 3) {
    	    	 $subcats[] = array ('id' => 1, 'name' => 'Топ 250 IMBD');
    	    	 $subcats[] = array ('id' => 2, 'name' => 'Топ 250 Кинопоиск');
    	    	 $subcats[] = array ('id' => 3, 'name' => 'Топ 250 Амедиатека');
    	    }
    	    
    	    return $subcats;

    }

    public function get_topcst_list()
    {
    	    return $this->topcats;
    }
    
    public function get_folder_view(MediaURL $media_url, &$plugin_cookies)
    {
        // hd_print("----> count: " . count($this->folder_views));


        // hd_print("----> idx: $idx");
        if (isset($media_url->xcat_id)) {
            $folder_view =                 array
                (
                    PluginRegularFolderView::async_icon_loading => true,

                    PluginRegularFolderView::view_params => array
                    (
                        /*ViewParams::num_cols => 1,
                        ViewParams::num_rows => 15,*/
                        ViewParams::num_cols => 2,
                        ViewParams::num_rows => 8,
                        ViewParams::paint_details => false,
                        ViewParams::background_path => I24hConfig::BG_PIC,
                        ViewParams::background_width => 1920,
                        ViewParams::background_height => 1080,
                        ViewParams::background_order => 'before_all'

                    ),

                    PluginRegularFolderView::base_view_item_params => array
                    (
                        ViewItemParams::item_paint_icon => true,
                        ViewItemParams::item_layout => HALIGN_LEFT,
                        ViewItemParams::icon_valign => VALIGN_CENTER,
                        ViewItemParams::icon_dx => 15,
                        ViewItemParams::icon_dy => -5,
                        ViewItemParams::item_caption_dx => 70,
                        ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                        ViewItemParams::item_caption_width => 1550,
                        ViewItemParams::icon_path => 'gui_skin://small_icons/folder.aai'

                    ),

                    PluginRegularFolderView::not_loaded_view_item_params => array (),
                );
        } else {
                $folder_view =                 array
                (
                    PluginRegularFolderView::async_icon_loading => true,

                    PluginRegularFolderView::view_params => array
                    (
                    	ViewParams::num_cols => 4,
                    	ViewParams::num_rows => 2,
                    	ViewParams::paint_details => false,
                    	ViewParams::orientation  => 'horizontal',
                    	ViewParams::sandwich_width => 380,
                    	ViewParams::sandwich_height => 240,
                    	ViewParams::sandwich_icon_upscale_enabled => true,
                    	ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    	ViewParams::background_path => I24hConfig::BG_PIC,
                    	ViewParams::background_width => 1920,
                    	ViewParams::background_height => 1080,
                    	ViewParams::background_order => 'before_all'
                    	
                    	//ViewParams::background_path => self::BG_PIC,
                    	//ViewParams::background_width => 1920,
                    	//ViewParams::background_height => 1080,
                    	//ViewParams::background_order => 'before_all'
                    	),     
                    
                    PluginRegularFolderView::base_view_item_params => array
                    (      
                    	ViewItemParams::item_paint_icon => true,
                    	ViewItemParams::item_layout => HALIGN_CENTER,
                    	ViewItemParams::icon_valign => VALIGN_TOP,
                    	ViewItemParams::item_paint_caption => true,
                    	ViewItemParams::icon_scale_factor => 1.0,
                    	ViewItemParams::item_caption_wrap_enabled => true,
                    	ViewItemParams::item_caption_dy => -40,
                    	ViewItemParams::item_caption_sel_dy => -40,
                    	ViewItemParams::icon_dy => 7,
                    	ViewItemParams::icon_sel_dy => 7,
                    	),
                    
                    PluginRegularFolderView::not_loaded_view_item_params => array
                    (
                    	ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    	ViewItemParams::item_detailed_icon_path => 'missing://',
                    	//    	    	    ViewItemParams::icon_path => 'plugin_file://icons/placeholder.png',
                    ),
                );

        }
            
        //$folder_view = $this->folder_views[$idx];

        $folder_view[PluginRegularFolderView::actions] =
            $this->get_action_map($media_url, $plugin_cookies);

        $folder_view[PluginRegularFolderView::initial_range] = 
            $this->get_folder_range($media_url, 0, $plugin_cookies);

        $archive = $this->get_archive($media_url);
        $archive_def = is_null($archive) ? null :
            $archive->get_archive_def();

        return array
        (
            PluginFolderView::multiple_views_supported  => 0,
            PluginFolderView::archive                   => $archive_def,
            PluginFolderView::view_kind                 => PLUGIN_FOLDER_VIEW_REGULAR,
            PluginFolderView::data                      => $folder_view
        );
    }


}

///////////////////////////////////////////////////////////////////////////
?>
