<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';

require_once 'lib/tv/tv_group_list_screen.php';
require_once 'lib/tv/tv_favorites_screen.php';

require_once 'lib/vod/vod_list_screen.php';
require_once 'lib/vod/vod_movie_screen.php';
require_once 'lib/vod/vod_series_list_screen.php';
require_once 'lib/vod/vod_favorites_screen.php';
require_once 'lib/vod/vod_search_screen.php';

require_once 'i24h_config.php';

require_once 'i24h_exception.php';
require_once 'i24h_tv.php';
require_once 'i24h_m3u_tv.php';
require_once 'i24h_vod.php';
require_once 'i24h_setup_screen.php';
require_once 'i24h_tv_channel_list_screen.php';
require_once 'i24h_vod_category_list_screen.php';
require_once 'i24h_vod_list_screen.php';
require_once 'i24h_session.php';
require_once 'i24h_entry_handler.php';
require_once 'i24h_top_screen.php';
require_once 'i24h_topcat_list_screen.php';
require_once 'i24h_amedia_list_screen.php';
require_once 'i24h_private_screen.php';

///////////////////////////////////////////////////////////////////////////

class I24hPlugin extends DefaultDunePlugin
{
    private $session;
    private $entry_handler;

    public function __construct()
    {
        $this->session = new I24hSession($this);
        $this->entry_handler = new I24hEntryHandler($this->session);
        $this->tv = new I24hTv($this->session);

        $this->vod = new I24hVod($this->session, $this->tv);
        $this->tv->vod = $this->vod;

        if (!I24hConfig::USE_M3U_FILE)
        {
            $this->add_screen(new TvGroupListScreen($this->tv,
                    I24hConfig::GET_TV_GROUP_LIST_FOLDER_VIEWS()));
        }

        $this->add_screen(new I24hTvChannelListScreen($this->session, $this->tv,
                I24hConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
        $this->add_screen(new TvFavoritesScreen($this->tv,
                I24hConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));

        $this->add_screen(new I24hSetupScreen($this->session));
//        $this->add_screen(new VodFavoritesScreen($this->vod));
//        $this->add_screen(new I24hVodCategoryListScreen());

        $this->add_screen(new I24hVodListScreen($this->vod, $this->session, $this->tv));
        $this->add_screen(new VodMovieScreen($this->vod));
        $this->add_screen(new VodSeriesListScreen($this->vod));
        $this->add_screen(new VodSearchScreen($this->vod));
        
        $this->add_screen(new I24hTopcatListScreen($this->session));
        $this->add_screen(new I24hTopScreen());
        $this->add_screen(new I24hPrivateScreen($this));
        $this->add_screen(new I24hAmediaListScreen($this->session));
    }

    public function unset_login()
    {
        $this->session->unset_login();
        $this->tv->unload_channels();
    }
    public function get_session($plugin_cookies)
    {
    	return $this->session;
    }
    public function get_tv()
    {
    	return $this->tv;
    }
    public function get_vod()
    {
    	return $this->vod;
    }
}


///////////////////////////////////////////////////////////////////////////
?>
