<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_preloaded_regular_screen.php';
require_once 'lib/tv/tv_group_list_screen.php';


///////////////////////////////////////////////////////////////////////////

class I24hTopScreen extends AbstractPreloadedRegularScreen
{
    const ID = 'top_list';

    ///////////////////////////////////////////////////////////////////////


    ///////////////////////////////////////////////////////////////////////

    public function __construct()
    {
        parent::__construct(
            self::ID,
            array
            (
                array
                (
                    PluginRegularFolderView::async_icon_loading => true,

                    PluginRegularFolderView::view_params => array
                    (
                        ViewParams::num_cols => 4,
                        ViewParams::num_rows => 3,
                        ViewParams::paint_details => false,
                        ViewParams::paint_sandwich => true,
                        ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                        ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                        ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                        ViewParams::sandwich_width => 395,
                        ViewParams::sandwich_height => 220,
                        ViewParams::sandwich_icon_upscale_enabled => true,
                        ViewParams::sandwich_icon_keep_aspect_ratio => false,
                        ViewParams::background_path => I24hConfig::BG_PIC,
                        ViewParams::background_width => 1920,
                        ViewParams::background_height => 1080,
                        ViewParams::background_order => 'before_all'

                    ),

                    PluginRegularFolderView::base_view_item_params => array
                    (
                        ViewItemParams::item_paint_icon => true,
                        ViewItemParams::item_layout => HALIGN_CENTER,
                        ViewItemParams::icon_valign => VALIGN_CENTER,
                        ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                        ViewItemParams::item_caption_width => 1550,
                        ViewItemParams::icon_width => 395,
#                        ViewItemParams::icon_height => 185,
                        ViewItemParams::icon_height => 220,
                        ViewItemParams::item_paint_caption => false,
                    	ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    	ViewItemParams::item_detailed_icon_path => 'missing://',

                    ),

                    PluginRegularFolderView::not_loaded_view_item_params => array (),
                )
            ));

    }

    ///////////////////////////////////////////////////////////////////////

    public function get_action_map(MediaURL $media_url, &$plugin_cookies)
    { return array( GUI_EVENT_KEY_ENTER => ActionFactory::open_folder() ); }

    ///////////////////////////////////////////////////////////////////////

    public function get_all_folder_items(MediaURL $media_url, &$plugin_cookies)
    {
        $items = array();
        

        $items[] = array
        (
            PluginRegularFolderItem::media_url =>
            MediaURL::encode(
            	array (
            	    'screen_id'   => TvGroupListScreen::ID
            	    )),
            PluginRegularFolderItem::caption => 'Каналы',
            PluginRegularFolderItem::view_item_params => array (
            	ViewItemParams::icon_path => 'http://iptv.home-ix.ru/iptv/icons/Main/Live.png'
#            	ViewItemParams::icon_path => 'http://24h.tv/tv/test/1.png'
            	)
            );       	

        $items[] = array
        (
            PluginRegularFolderItem::media_url =>
            MediaURL::encode(
            	array (
            	    'screen_id'   => I24hTopcatListScreen::ID
            	    )),
            PluginRegularFolderItem::caption => 'Архив',
            PluginRegularFolderItem::view_item_params => array (
            	ViewItemParams::icon_path => 'http://iptv.home-ix.ru/iptv/icons/Main/Archive.png'
#            	ViewItemParams::icon_path => 'http://24h.tv/tv/test/2.png'
            	)
            );       	

        $items[] = array
        (
            PluginRegularFolderItem::media_url => VodSearchScreen::get_media_url_str(),
            PluginRegularFolderItem::caption => 'Поиск',
            PluginRegularFolderItem::view_item_params => array (
            	ViewItemParams::icon_path => 'http://iptv.home-ix.ru/iptv/icons/Main/Search.png'
#            	ViewItemParams::icon_path => 'http://24h.tv/tv/test/3.png'
            	)
            );       	

        $items[] = array
        (
            PluginRegularFolderItem::media_url =>
            MediaURL::encode(
            	array (
            	    'screen_id'   => I24hPrivateScreen::ID
            	    )),
            PluginRegularFolderItem::caption => 'Личный кабинет',
            PluginRegularFolderItem::view_item_params => array (
            	ViewItemParams::icon_path => 'http://iptv.home-ix.ru/iptv/icons/Main/Profile.png'
#            	ViewItemParams::icon_path => 'http://24h.tv/tv/test/4.png'
            	)
            );       	

 /*       $items[] = array
        (
            PluginRegularFolderItem::media_url =>
            MediaURL::encode(
            	array (
            	    'screen_id'   => I24hAmediaListScreen::ID
            	    )),
            PluginRegularFolderItem::caption => 'Амедиатека',
            PluginRegularFolderItem::view_item_params => array (
            	ViewItemParams::icon_path => 'http://iptv.home-ix.ru/iptv/icons/Main/Amediateka.png'
#            	ViewItemParams::icon_path => 'http://24h.tv/tv/test/4.png'
            	)
            ); */      	

        
        
        return $items;
    }
    
    

}

///////////////////////////////////////////////////////////////////////////
?>
