<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/vod/vod_list_screen.php';

class I24hVodListScreen extends VodListScreen
{
    private $session;
    private $tv;
    
   /* public static function get_media_url_str($cat_id)
    {
        $arr['screen_id'] = self::ID;
        $arr['category_id'] = $cat_id;
        return MediaURL::encode($arr);
    }*/

    public static function get_media_url_str($cat_id, $arg = null)
    {
        $arr['screen_id'] = self::ID;
        if ($cat_id === 'search') {
        	$arr['page_name'] = $cat_id;
        	$arr['pattern'] = $arg;
        } else {
        	$arr['category_id'] = $cat_id;
        }
        return MediaURL::encode($arr);
    }

    ///////////////////////////////////////////////////////////////////////

    public function __construct(Vod $vod, $session, $tv)
    {
        parent::__construct($vod);
        $this->session = $session;
        $this->tv = $tv;
    }

    ///////////////////////////////////////////////////////////////////////

    protected function get_short_movie_range(MediaURL $media_url, $from_ndx,
        &$plugin_cookies)
    {
        $this->session->ensure_logged_in($plugin_cookies);
        $this->tv->ensure_channels_loaded($plugin_cookies);
        
    	if ($media_url->page_name === 'search') {
    	    $doc = HD::http_get_document(
                sprintf(
                    I24hConfig::MOVIE_SEARCH_URL,
                    $this->session->get_token(),
                    urlencode($media_url->pattern)
                    ));
        } else {
    	    $doc = HD::http_get_document(
                sprintf(
                    I24hConfig::MOVIE_LIST_URL_FORMAT,
                    $this->session->get_token(),
                    $media_url->category_id
                    ));
        }
     
        if (is_null($doc))
            throw new Exception('Can not fetch movie list');

        $xml = simplexml_load_string($doc);

        if ($xml === false)
        {
            hd_print("Error: can not parse XML document.");
            hd_print("XML-text: $doc.");
            throw new Exception('Illegal XML document');
        }

        if ($xml->getName() !== 'response')
        {
            hd_print("Error: unexpected node '" . $xml->getName() . "'. Expected: 'vod_categories'");
            throw new Exception('Invalid XML document');
        }
        
        $movies = array();

        foreach ($xml->children() as $movie)
        {
            //hd_print(">> ".strval($movie->id));
            //$c = $this->tv->get_channel(strval($movie->channels_id));
            if ((intval(strval($movie->tm)) <= time()) && ($this->tv->have_channel(strval($movie->channels_id)))) {
            	$movies[] = new ShortMovie(
            	    strval($movie->id),
            	    strval($movie->name),
            	    strval($movie->img->img->url));
            }
        }

        return new ShortMovieRange(0, count($movies), $movies);
    }
}

///////////////////////////////////////////////////////////////////////////
?>
